# Created by pyp2rpm-1.0.1
%global pypi_name python-exconsole

Name:           python-exconsole
Version:        0.1.5
Release:        %mkrel 12
Group:          Development/Python
Summary:        Emergency/postmortem Python console

License:        LGPLv3
URL:            https://pypi.org/project/python-exconsole/
Source0:        https://pypi.io/packages/source/p/python-exconsole/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools


%description
python-exconsole is an emergency/postmortem console for Python.
It provides a backtrace and a Python console to inspect the
situation when unhandled exception has occured.

%package -n     python3-exconsole
Summary:        Emergency/postmortem Python 3 console
%{?python_provide:%python_provide python3-exconsole}

%description -n python3-exconsole
python3-exconsole is an emergency/postmortem console for Python3.
It provides a backtrace and a Python console to inspect the
situation when unhandled exception has occured.


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'


%build
%py3_build


%install
%py3_install


%files -n python3-exconsole
%doc PKG-INFO
%{python3_sitelib}/exconsole
%{python3_sitelib}/python_exconsole-%{version}-py?.?.egg-info



%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.1.5-12.mga8
+ Revision: 1535558
- Mageia 8 Mass Rebuild

* Sat Oct 12 2019 tv <tv> 0.1.5-11.mga8
+ Revision: 1452207
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 shlomif <shlomif> 0.1.5-10.mga7
+ Revision: 1352676
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.1.5-9.mga7
+ Revision: 1288831
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.1.5-8.mga7
+ Revision: 1135417
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 0.1.5-7.mga6
+ Revision: 970869
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 0.1.5-6.mga6
+ Revision: 888765
- rebuild for python 3.5

* Mon Jan 05 2015 joequant <joequant> 0.1.5-5.mga5
+ Revision: 808659
- fix naming glitch

* Wed Oct 15 2014 umeabot <umeabot> 0.1.5-4.mga5
+ Revision: 746805
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.1.5-3.mga5
+ Revision: 728443
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.1.5-2.mga5
+ Revision: 688024
- Mageia 5 Mass Rebuild

* Thu Jul 17 2014 joequant <joequant> 0.1.5-1.mga5
+ Revision: 653423
- add setuptools
- imported package python-exconsole

